
import java.util.Random;
import javafx.scene.paint.Color;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.transform.Scale;
import javafx.scene.transform.Translate;
import javafx.stage.Stage;

Stage {
    title: "Circle Sample"
    scene: Scene {
        width: 200
        height: 200

        content: [
            // forɂ100Circle쐬
            for (i in [0..99]) {
                // gďꏊ┼a߂
                var rand = new Random();
                var transX = rand.nextInt(200);
                var transY = rand.nextInt(200);
                var scale = rand.nextDouble();
                
                Circle {
                    transforms: [
                            Translate {
                            x : transX
                            y : transY
                        },
                            Scale {
                            x : scale
                            y : scale
                        }
                    ]
                    centerX: 0
                    centerY: 0
                    radius: 30

                    // ̃Of[VŐFh
                    fill: RadialGradient {
                        centerX: 0.25
                        centerY: 0.25
                        stops: [
                            Stop { 
                                offset: 0.0
                                color: Color.WHITE 
                            },
                            Stop { 
                                offset: 0.6
                                color: Color.SKYBLUE
                            }
                        ]
                    }
                }
            }
        ]
    }
}